# coding: utf-8

"""
    ThorNode Query API

    ThorNode Query API  # noqa: E501

    OpenAPI spec version: 1.0.0-oas3
    Contact: zheye@umich.edu
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ThorchainInt64Constants(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'bad_validator_rate': 'int',
        'blocks_per_year': 'int',
        'desire_validator_set': 'int',
        'double_sign_max_age': 'int',
        'emission_curve': 'int',
        'fail_key_sign_slash_points': 'int',
        'fail_keygen_slash_points': 'int',
        'fund_migration_interval': 'int',
        'jail_time_keygen': 'int',
        'jail_time_keysign': 'int',
        'lack_of_observation_penalty': 'int',
        'minimum_bond_in_rune': 'int',
        'minimum_nodes_for_bft': 'int',
        'minimum_nodes_for_yggdrasil': 'int',
        'new_pool_cycle': 'int',
        'observe_slash_points': 'int',
        'old_validator_rate': 'int',
        'rotate_per_block_height': 'int',
        'rotate_retry_blocks': 'int',
        'signing_transaction_period': 'int',
        'stake_lock_up_blocks': 'int',
        'transaction_fee': 'int',
        'validator_rotate_in_num_before_full': 'int',
        'validator_rotate_num_after_full': 'int',
        'validator_rotate_out_num_before_full': 'int',
        'white_list_gas_asset': 'int',
        'ygg_fund_limit': 'int'
    }

    attribute_map = {
        'bad_validator_rate': 'BadValidatorRate',
        'blocks_per_year': 'BlocksPerYear',
        'desire_validator_set': 'DesireValidatorSet',
        'double_sign_max_age': 'DoubleSignMaxAge',
        'emission_curve': 'EmissionCurve',
        'fail_key_sign_slash_points': 'FailKeySignSlashPoints',
        'fail_keygen_slash_points': 'FailKeygenSlashPoints',
        'fund_migration_interval': 'FundMigrationInterval',
        'jail_time_keygen': 'JailTimeKeygen',
        'jail_time_keysign': 'JailTimeKeysign',
        'lack_of_observation_penalty': 'LackOfObservationPenalty',
        'minimum_bond_in_rune': 'MinimumBondInRune',
        'minimum_nodes_for_bft': 'MinimumNodesForBFT',
        'minimum_nodes_for_yggdrasil': 'MinimumNodesForYggdrasil',
        'new_pool_cycle': 'NewPoolCycle',
        'observe_slash_points': 'ObserveSlashPoints',
        'old_validator_rate': 'OldValidatorRate',
        'rotate_per_block_height': 'RotatePerBlockHeight',
        'rotate_retry_blocks': 'RotateRetryBlocks',
        'signing_transaction_period': 'SigningTransactionPeriod',
        'stake_lock_up_blocks': 'StakeLockUpBlocks',
        'transaction_fee': 'TransactionFee',
        'validator_rotate_in_num_before_full': 'ValidatorRotateInNumBeforeFull',
        'validator_rotate_num_after_full': 'ValidatorRotateNumAfterFull',
        'validator_rotate_out_num_before_full': 'ValidatorRotateOutNumBeforeFull',
        'white_list_gas_asset': 'WhiteListGasAsset',
        'ygg_fund_limit': 'YggFundLimit'
    }

    def __init__(self, bad_validator_rate=None, blocks_per_year=None, desire_validator_set=None, double_sign_max_age=None, emission_curve=None, fail_key_sign_slash_points=None, fail_keygen_slash_points=None, fund_migration_interval=None, jail_time_keygen=None, jail_time_keysign=None, lack_of_observation_penalty=None, minimum_bond_in_rune=None, minimum_nodes_for_bft=None, minimum_nodes_for_yggdrasil=None, new_pool_cycle=None, observe_slash_points=None, old_validator_rate=None, rotate_per_block_height=None, rotate_retry_blocks=None, signing_transaction_period=None, stake_lock_up_blocks=None, transaction_fee=None, validator_rotate_in_num_before_full=None, validator_rotate_num_after_full=None, validator_rotate_out_num_before_full=None, white_list_gas_asset=None, ygg_fund_limit=None):  # noqa: E501
        """ThorchainInt64Constants - a model defined in Swagger"""  # noqa: E501
        self._bad_validator_rate = None
        self._blocks_per_year = None
        self._desire_validator_set = None
        self._double_sign_max_age = None
        self._emission_curve = None
        self._fail_key_sign_slash_points = None
        self._fail_keygen_slash_points = None
        self._fund_migration_interval = None
        self._jail_time_keygen = None
        self._jail_time_keysign = None
        self._lack_of_observation_penalty = None
        self._minimum_bond_in_rune = None
        self._minimum_nodes_for_bft = None
        self._minimum_nodes_for_yggdrasil = None
        self._new_pool_cycle = None
        self._observe_slash_points = None
        self._old_validator_rate = None
        self._rotate_per_block_height = None
        self._rotate_retry_blocks = None
        self._signing_transaction_period = None
        self._stake_lock_up_blocks = None
        self._transaction_fee = None
        self._validator_rotate_in_num_before_full = None
        self._validator_rotate_num_after_full = None
        self._validator_rotate_out_num_before_full = None
        self._white_list_gas_asset = None
        self._ygg_fund_limit = None
        self.discriminator = None
        if bad_validator_rate is not None:
            self.bad_validator_rate = bad_validator_rate
        if blocks_per_year is not None:
            self.blocks_per_year = blocks_per_year
        if desire_validator_set is not None:
            self.desire_validator_set = desire_validator_set
        if double_sign_max_age is not None:
            self.double_sign_max_age = double_sign_max_age
        if emission_curve is not None:
            self.emission_curve = emission_curve
        if fail_key_sign_slash_points is not None:
            self.fail_key_sign_slash_points = fail_key_sign_slash_points
        if fail_keygen_slash_points is not None:
            self.fail_keygen_slash_points = fail_keygen_slash_points
        if fund_migration_interval is not None:
            self.fund_migration_interval = fund_migration_interval
        if jail_time_keygen is not None:
            self.jail_time_keygen = jail_time_keygen
        if jail_time_keysign is not None:
            self.jail_time_keysign = jail_time_keysign
        if lack_of_observation_penalty is not None:
            self.lack_of_observation_penalty = lack_of_observation_penalty
        if minimum_bond_in_rune is not None:
            self.minimum_bond_in_rune = minimum_bond_in_rune
        if minimum_nodes_for_bft is not None:
            self.minimum_nodes_for_bft = minimum_nodes_for_bft
        if minimum_nodes_for_yggdrasil is not None:
            self.minimum_nodes_for_yggdrasil = minimum_nodes_for_yggdrasil
        if new_pool_cycle is not None:
            self.new_pool_cycle = new_pool_cycle
        if observe_slash_points is not None:
            self.observe_slash_points = observe_slash_points
        if old_validator_rate is not None:
            self.old_validator_rate = old_validator_rate
        if rotate_per_block_height is not None:
            self.rotate_per_block_height = rotate_per_block_height
        if rotate_retry_blocks is not None:
            self.rotate_retry_blocks = rotate_retry_blocks
        if signing_transaction_period is not None:
            self.signing_transaction_period = signing_transaction_period
        if stake_lock_up_blocks is not None:
            self.stake_lock_up_blocks = stake_lock_up_blocks
        if transaction_fee is not None:
            self.transaction_fee = transaction_fee
        if validator_rotate_in_num_before_full is not None:
            self.validator_rotate_in_num_before_full = validator_rotate_in_num_before_full
        if validator_rotate_num_after_full is not None:
            self.validator_rotate_num_after_full = validator_rotate_num_after_full
        if validator_rotate_out_num_before_full is not None:
            self.validator_rotate_out_num_before_full = validator_rotate_out_num_before_full
        if white_list_gas_asset is not None:
            self.white_list_gas_asset = white_list_gas_asset
        if ygg_fund_limit is not None:
            self.ygg_fund_limit = ygg_fund_limit

    @property
    def bad_validator_rate(self):
        """Gets the bad_validator_rate of this ThorchainInt64Constants.  # noqa: E501


        :return: The bad_validator_rate of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._bad_validator_rate

    @bad_validator_rate.setter
    def bad_validator_rate(self, bad_validator_rate):
        """Sets the bad_validator_rate of this ThorchainInt64Constants.


        :param bad_validator_rate: The bad_validator_rate of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._bad_validator_rate = bad_validator_rate

    @property
    def blocks_per_year(self):
        """Gets the blocks_per_year of this ThorchainInt64Constants.  # noqa: E501


        :return: The blocks_per_year of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._blocks_per_year

    @blocks_per_year.setter
    def blocks_per_year(self, blocks_per_year):
        """Sets the blocks_per_year of this ThorchainInt64Constants.


        :param blocks_per_year: The blocks_per_year of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._blocks_per_year = blocks_per_year

    @property
    def desire_validator_set(self):
        """Gets the desire_validator_set of this ThorchainInt64Constants.  # noqa: E501


        :return: The desire_validator_set of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._desire_validator_set

    @desire_validator_set.setter
    def desire_validator_set(self, desire_validator_set):
        """Sets the desire_validator_set of this ThorchainInt64Constants.


        :param desire_validator_set: The desire_validator_set of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._desire_validator_set = desire_validator_set

    @property
    def double_sign_max_age(self):
        """Gets the double_sign_max_age of this ThorchainInt64Constants.  # noqa: E501


        :return: The double_sign_max_age of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._double_sign_max_age

    @double_sign_max_age.setter
    def double_sign_max_age(self, double_sign_max_age):
        """Sets the double_sign_max_age of this ThorchainInt64Constants.


        :param double_sign_max_age: The double_sign_max_age of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._double_sign_max_age = double_sign_max_age

    @property
    def emission_curve(self):
        """Gets the emission_curve of this ThorchainInt64Constants.  # noqa: E501


        :return: The emission_curve of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._emission_curve

    @emission_curve.setter
    def emission_curve(self, emission_curve):
        """Sets the emission_curve of this ThorchainInt64Constants.


        :param emission_curve: The emission_curve of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._emission_curve = emission_curve

    @property
    def fail_key_sign_slash_points(self):
        """Gets the fail_key_sign_slash_points of this ThorchainInt64Constants.  # noqa: E501


        :return: The fail_key_sign_slash_points of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._fail_key_sign_slash_points

    @fail_key_sign_slash_points.setter
    def fail_key_sign_slash_points(self, fail_key_sign_slash_points):
        """Sets the fail_key_sign_slash_points of this ThorchainInt64Constants.


        :param fail_key_sign_slash_points: The fail_key_sign_slash_points of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._fail_key_sign_slash_points = fail_key_sign_slash_points

    @property
    def fail_keygen_slash_points(self):
        """Gets the fail_keygen_slash_points of this ThorchainInt64Constants.  # noqa: E501


        :return: The fail_keygen_slash_points of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._fail_keygen_slash_points

    @fail_keygen_slash_points.setter
    def fail_keygen_slash_points(self, fail_keygen_slash_points):
        """Sets the fail_keygen_slash_points of this ThorchainInt64Constants.


        :param fail_keygen_slash_points: The fail_keygen_slash_points of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._fail_keygen_slash_points = fail_keygen_slash_points

    @property
    def fund_migration_interval(self):
        """Gets the fund_migration_interval of this ThorchainInt64Constants.  # noqa: E501


        :return: The fund_migration_interval of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._fund_migration_interval

    @fund_migration_interval.setter
    def fund_migration_interval(self, fund_migration_interval):
        """Sets the fund_migration_interval of this ThorchainInt64Constants.


        :param fund_migration_interval: The fund_migration_interval of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._fund_migration_interval = fund_migration_interval

    @property
    def jail_time_keygen(self):
        """Gets the jail_time_keygen of this ThorchainInt64Constants.  # noqa: E501


        :return: The jail_time_keygen of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._jail_time_keygen

    @jail_time_keygen.setter
    def jail_time_keygen(self, jail_time_keygen):
        """Sets the jail_time_keygen of this ThorchainInt64Constants.


        :param jail_time_keygen: The jail_time_keygen of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._jail_time_keygen = jail_time_keygen

    @property
    def jail_time_keysign(self):
        """Gets the jail_time_keysign of this ThorchainInt64Constants.  # noqa: E501


        :return: The jail_time_keysign of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._jail_time_keysign

    @jail_time_keysign.setter
    def jail_time_keysign(self, jail_time_keysign):
        """Sets the jail_time_keysign of this ThorchainInt64Constants.


        :param jail_time_keysign: The jail_time_keysign of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._jail_time_keysign = jail_time_keysign

    @property
    def lack_of_observation_penalty(self):
        """Gets the lack_of_observation_penalty of this ThorchainInt64Constants.  # noqa: E501


        :return: The lack_of_observation_penalty of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._lack_of_observation_penalty

    @lack_of_observation_penalty.setter
    def lack_of_observation_penalty(self, lack_of_observation_penalty):
        """Sets the lack_of_observation_penalty of this ThorchainInt64Constants.


        :param lack_of_observation_penalty: The lack_of_observation_penalty of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._lack_of_observation_penalty = lack_of_observation_penalty

    @property
    def minimum_bond_in_rune(self):
        """Gets the minimum_bond_in_rune of this ThorchainInt64Constants.  # noqa: E501


        :return: The minimum_bond_in_rune of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._minimum_bond_in_rune

    @minimum_bond_in_rune.setter
    def minimum_bond_in_rune(self, minimum_bond_in_rune):
        """Sets the minimum_bond_in_rune of this ThorchainInt64Constants.


        :param minimum_bond_in_rune: The minimum_bond_in_rune of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._minimum_bond_in_rune = minimum_bond_in_rune

    @property
    def minimum_nodes_for_bft(self):
        """Gets the minimum_nodes_for_bft of this ThorchainInt64Constants.  # noqa: E501


        :return: The minimum_nodes_for_bft of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._minimum_nodes_for_bft

    @minimum_nodes_for_bft.setter
    def minimum_nodes_for_bft(self, minimum_nodes_for_bft):
        """Sets the minimum_nodes_for_bft of this ThorchainInt64Constants.


        :param minimum_nodes_for_bft: The minimum_nodes_for_bft of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._minimum_nodes_for_bft = minimum_nodes_for_bft

    @property
    def minimum_nodes_for_yggdrasil(self):
        """Gets the minimum_nodes_for_yggdrasil of this ThorchainInt64Constants.  # noqa: E501


        :return: The minimum_nodes_for_yggdrasil of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._minimum_nodes_for_yggdrasil

    @minimum_nodes_for_yggdrasil.setter
    def minimum_nodes_for_yggdrasil(self, minimum_nodes_for_yggdrasil):
        """Sets the minimum_nodes_for_yggdrasil of this ThorchainInt64Constants.


        :param minimum_nodes_for_yggdrasil: The minimum_nodes_for_yggdrasil of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._minimum_nodes_for_yggdrasil = minimum_nodes_for_yggdrasil

    @property
    def new_pool_cycle(self):
        """Gets the new_pool_cycle of this ThorchainInt64Constants.  # noqa: E501


        :return: The new_pool_cycle of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._new_pool_cycle

    @new_pool_cycle.setter
    def new_pool_cycle(self, new_pool_cycle):
        """Sets the new_pool_cycle of this ThorchainInt64Constants.


        :param new_pool_cycle: The new_pool_cycle of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._new_pool_cycle = new_pool_cycle

    @property
    def observe_slash_points(self):
        """Gets the observe_slash_points of this ThorchainInt64Constants.  # noqa: E501


        :return: The observe_slash_points of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._observe_slash_points

    @observe_slash_points.setter
    def observe_slash_points(self, observe_slash_points):
        """Sets the observe_slash_points of this ThorchainInt64Constants.


        :param observe_slash_points: The observe_slash_points of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._observe_slash_points = observe_slash_points

    @property
    def old_validator_rate(self):
        """Gets the old_validator_rate of this ThorchainInt64Constants.  # noqa: E501


        :return: The old_validator_rate of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._old_validator_rate

    @old_validator_rate.setter
    def old_validator_rate(self, old_validator_rate):
        """Sets the old_validator_rate of this ThorchainInt64Constants.


        :param old_validator_rate: The old_validator_rate of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._old_validator_rate = old_validator_rate

    @property
    def rotate_per_block_height(self):
        """Gets the rotate_per_block_height of this ThorchainInt64Constants.  # noqa: E501


        :return: The rotate_per_block_height of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._rotate_per_block_height

    @rotate_per_block_height.setter
    def rotate_per_block_height(self, rotate_per_block_height):
        """Sets the rotate_per_block_height of this ThorchainInt64Constants.


        :param rotate_per_block_height: The rotate_per_block_height of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._rotate_per_block_height = rotate_per_block_height

    @property
    def rotate_retry_blocks(self):
        """Gets the rotate_retry_blocks of this ThorchainInt64Constants.  # noqa: E501


        :return: The rotate_retry_blocks of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._rotate_retry_blocks

    @rotate_retry_blocks.setter
    def rotate_retry_blocks(self, rotate_retry_blocks):
        """Sets the rotate_retry_blocks of this ThorchainInt64Constants.


        :param rotate_retry_blocks: The rotate_retry_blocks of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._rotate_retry_blocks = rotate_retry_blocks

    @property
    def signing_transaction_period(self):
        """Gets the signing_transaction_period of this ThorchainInt64Constants.  # noqa: E501


        :return: The signing_transaction_period of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._signing_transaction_period

    @signing_transaction_period.setter
    def signing_transaction_period(self, signing_transaction_period):
        """Sets the signing_transaction_period of this ThorchainInt64Constants.


        :param signing_transaction_period: The signing_transaction_period of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._signing_transaction_period = signing_transaction_period

    @property
    def stake_lock_up_blocks(self):
        """Gets the stake_lock_up_blocks of this ThorchainInt64Constants.  # noqa: E501


        :return: The stake_lock_up_blocks of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._stake_lock_up_blocks

    @stake_lock_up_blocks.setter
    def stake_lock_up_blocks(self, stake_lock_up_blocks):
        """Sets the stake_lock_up_blocks of this ThorchainInt64Constants.


        :param stake_lock_up_blocks: The stake_lock_up_blocks of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._stake_lock_up_blocks = stake_lock_up_blocks

    @property
    def transaction_fee(self):
        """Gets the transaction_fee of this ThorchainInt64Constants.  # noqa: E501


        :return: The transaction_fee of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._transaction_fee

    @transaction_fee.setter
    def transaction_fee(self, transaction_fee):
        """Sets the transaction_fee of this ThorchainInt64Constants.


        :param transaction_fee: The transaction_fee of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._transaction_fee = transaction_fee

    @property
    def validator_rotate_in_num_before_full(self):
        """Gets the validator_rotate_in_num_before_full of this ThorchainInt64Constants.  # noqa: E501


        :return: The validator_rotate_in_num_before_full of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._validator_rotate_in_num_before_full

    @validator_rotate_in_num_before_full.setter
    def validator_rotate_in_num_before_full(self, validator_rotate_in_num_before_full):
        """Sets the validator_rotate_in_num_before_full of this ThorchainInt64Constants.


        :param validator_rotate_in_num_before_full: The validator_rotate_in_num_before_full of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._validator_rotate_in_num_before_full = validator_rotate_in_num_before_full

    @property
    def validator_rotate_num_after_full(self):
        """Gets the validator_rotate_num_after_full of this ThorchainInt64Constants.  # noqa: E501


        :return: The validator_rotate_num_after_full of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._validator_rotate_num_after_full

    @validator_rotate_num_after_full.setter
    def validator_rotate_num_after_full(self, validator_rotate_num_after_full):
        """Sets the validator_rotate_num_after_full of this ThorchainInt64Constants.


        :param validator_rotate_num_after_full: The validator_rotate_num_after_full of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._validator_rotate_num_after_full = validator_rotate_num_after_full

    @property
    def validator_rotate_out_num_before_full(self):
        """Gets the validator_rotate_out_num_before_full of this ThorchainInt64Constants.  # noqa: E501


        :return: The validator_rotate_out_num_before_full of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._validator_rotate_out_num_before_full

    @validator_rotate_out_num_before_full.setter
    def validator_rotate_out_num_before_full(self, validator_rotate_out_num_before_full):
        """Sets the validator_rotate_out_num_before_full of this ThorchainInt64Constants.


        :param validator_rotate_out_num_before_full: The validator_rotate_out_num_before_full of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._validator_rotate_out_num_before_full = validator_rotate_out_num_before_full

    @property
    def white_list_gas_asset(self):
        """Gets the white_list_gas_asset of this ThorchainInt64Constants.  # noqa: E501


        :return: The white_list_gas_asset of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._white_list_gas_asset

    @white_list_gas_asset.setter
    def white_list_gas_asset(self, white_list_gas_asset):
        """Sets the white_list_gas_asset of this ThorchainInt64Constants.


        :param white_list_gas_asset: The white_list_gas_asset of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._white_list_gas_asset = white_list_gas_asset

    @property
    def ygg_fund_limit(self):
        """Gets the ygg_fund_limit of this ThorchainInt64Constants.  # noqa: E501


        :return: The ygg_fund_limit of this ThorchainInt64Constants.  # noqa: E501
        :rtype: int
        """
        return self._ygg_fund_limit

    @ygg_fund_limit.setter
    def ygg_fund_limit(self, ygg_fund_limit):
        """Sets the ygg_fund_limit of this ThorchainInt64Constants.


        :param ygg_fund_limit: The ygg_fund_limit of this ThorchainInt64Constants.  # noqa: E501
        :type: int
        """

        self._ygg_fund_limit = ygg_fund_limit

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ThorchainInt64Constants, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ThorchainInt64Constants):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
